Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.devel
Class DevelUtils

    java.lang.Object
      org.makumba.devel.DevelUtils

    public class DevelUtils

extends Object

This class combines some methods to print pages used by various developer support tools in package org.makumba.devel.

Version:
  $Id: DevelUtils.java 3590 2009-01-07 13:27:35Z rosso_nero $
Author:
  Rudolf Mayer

Constructor Summary
`DevelUtils()`

Method Summary
`static String` | `getVirtualPath(HttpServletRequest req, String toolLocation)`
`static void` | `printDeveloperSupportFooter(PrintWriter w)` Write the page footer to the given writer.
`static void` | `printPageHeader(PrintWriter w, String title)`
`static void` | `printPageHeader(PrintWriter w, String title, String virtualPath, String realPath, String repositoryLink)`
`static void` | `printResponseMessage(ServletResponse res, String title, String message)`
`static boolean` | `redirected(HttpServletRequest req, HttpServletResponse res, String servletPath)`
`static void` | `writeDevelUtilLinks(PrintWriter w, String toolKey, String contextPath)`
`static void` | `writePageBegin(PrintWriter w)`
`static void` | `writePageEnd(PrintWriter w)`
`static String` | `writePointerValueLink(String contextPath, Pointer pointer)`
`static String` | `writePointerValueLink(String contextPath, Pointer pointer, String pointerTitle, boolean printType)`
`static void` | `writeScripts(PrintWriter w, String contextPath)`
`static void` | `writeStyles(PrintWriter w, String contextPath)`
`static void` | `writeStylesAndScripts(PrintWriter w, String contextPath)`
`static void` | `writeTitleAndHeaderEnd(PrintWriter w, String title)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DevelUtils

    public DevelUtils()

Method Detail

### printDeveloperSupportFooter

    public static void printDeveloperSupportFooter(PrintWriter w)
                                            throws IOException

  Write the page footer to the given writer.

  Throws:
    `IOException`

### writeScripts

    public static void writeScripts(PrintWriter w,
                                    String contextPath)

### writeStyles

    public static void writeStyles(PrintWriter w,
                                   String contextPath)

### writeStylesAndScripts

    public static void writeStylesAndScripts(PrintWriter w,
                                             String contextPath)

### writeTitleAndHeaderEnd

    public static void writeTitleAndHeaderEnd(PrintWriter w,
                                              String title)

### writePageBegin

    public static void writePageBegin(PrintWriter w)

### writePageEnd

    public static void writePageEnd(PrintWriter w)
                             throws IOException

  Throws:
    `IOException`

### writePointerValueLink

    public static String writePointerValueLink(String contextPath,
                                               Pointer pointer)

### writePointerValueLink

    public static String writePointerValueLink(String contextPath,
                                               Pointer pointer,
                                               String pointerTitle,
                                               boolean printType)

### printPageHeader

    public static void printPageHeader(PrintWriter w,
                                       String title)
                                throws IOException

  Throws:
    `IOException`

### printPageHeader

    public static void printPageHeader(PrintWriter w,
                                       String title,
                                       String virtualPath,
                                       String realPath,
                                       String repositoryLink)
                                throws IOException

  Throws:
    `IOException`

### writeDevelUtilLinks

    public static void writeDevelUtilLinks(PrintWriter w,
                                           String toolKey,
                                           String contextPath)

### getVirtualPath

    public static String getVirtualPath(HttpServletRequest req,
                                        String toolLocation)

### redirected

    public static boolean redirected(HttpServletRequest req,
                                     HttpServletResponse res,
                                     String servletPath)
                              throws IOException

  Throws:
    `IOException`

### printResponseMessage

    public static void printResponseMessage(ServletResponse res,
                                            String title,
                                            String message)
                                     throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20